#!/bin/bash
#
######################################################################
#
#	uninstall.com.samisit.noatime.launchdaemon.sh
#
#	Samuel Herschbein
#	sam@SamIsIT.com
#	sherschbein@me.com
#
#	Details and Revision History are in README.txt
#
######################################################################
#
#	Get the script's name
thisScriptName="${0##*/}"
#
#	Script must be run with sudo.
[[ "$(whoami)" != "root" ]]&& { printf "$thisScriptName must be run with sudo.\n\n"; exit; }
#
#	Unload LaunchDaemon if running.
[[ "$(sudo launchctl print system | grep 'com.samisit.noatime.launchdaemon' | awk '{print $3}')" != "" ]] && sudo launchctl bootout system /Library/LaunchDaemons/com.samisit.noatime.launchdaemon.plist
#
#	Remove the plist.
[[ -f "/Library/LaunchDaemons/com.samisit.noatime.launchdaemon.plist" ]] && sudo rm "/Library/LaunchDaemons/com.samisit.noatime.launchdaemon.plist"
#	Remove the log file.
[[ -f "/tmp/com.samisit.noatime.log" ]] && sudo rm "/tmp/com.samisit.noatime.log"
#
printf "\nUninstalled com.samisit.noatime.launchdaemon & deleted /tmp/com.samisit.noatime.log.\n\n"
#
